searchNodes=[{"doc":"Documentation for ThinNotionApi . A thin wrapper for the Notion API","ref":"ThinNotionApi.html","title":"ThinNotionApi","type":"module"},{"doc":"Module for interacting with the Notion Databases.","ref":"ThinNotionApi.Databases.html","title":"ThinNotionApi.Databases","type":"module"},{"doc":"Gets a list of Pages contained in the database, filtered and ordered according to the filter conditions and sort criteria provided in the request. The response may contain fewer than page_size of results. Examples: iex&gt; ThinNotionApi.Databases . create_database! ( &quot;9b4a624d5a18482ab2187e54166edda7&quot; , &quot;New Database&quot; ) { :ok , %{ &quot;created_time&quot; =&gt; &quot;2021-07-30T20:44:00.000Z&quot; , &quot;id&quot; =&gt; &quot;99315749-1f39-4095-9a40-449876f23f95&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-07-30T20:44:00.000Z&quot; , &quot;object&quot; =&gt; &quot;database&quot; , &quot;parent&quot; =&gt; %{ &quot;page_id&quot; =&gt; &quot;9b4a624d-5a18-482a-b218-7e54166edda7&quot; , &quot;type&quot; =&gt; &quot;page_id&quot; } , &quot;properties&quot; =&gt; %{ &quot;Name&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;name&quot; =&gt; &quot;Name&quot; , &quot;title&quot; =&gt; %{ } , &quot;type&quot; =&gt; &quot;title&quot; } } , &quot;title&quot; =&gt; [ %{ &quot;annotations&quot; =&gt; %{ &quot;bold&quot; =&gt; false , &quot;code&quot; =&gt; false , &quot;color&quot; =&gt; &quot;default&quot; , &quot;italic&quot; =&gt; false , &quot;strikethrough&quot; =&gt; false , &quot;underline&quot; =&gt; false } , &quot;href&quot; =&gt; nil , &quot;plain_text&quot; =&gt; &quot;New Database&quot; , &quot;text&quot; =&gt; %{ &quot;content&quot; =&gt; &quot;New Database&quot; , &quot;link&quot; =&gt; nil } , &quot;type&quot; =&gt; &quot;text&quot; } ] } }","ref":"ThinNotionApi.Databases.html#create_database!/3","title":"ThinNotionApi.Databases.create_database!/3","type":"function"},{"doc":"List all Databases shared with the authenticated integration. The response may contain fewer than page_size of results. Use search pages for more details. This endpoint is no longer recommended, use search instead. This endpoint will only return explicitly shared pages, while search will also return child pages within explicitly shared pages. This endpoint's results cannot be filtered, while search can be used to match on page title. Examples: iex&gt; ThinNotionApi.Databases . list_databases ( query_params )","ref":"ThinNotionApi.Databases.html#list_databases/1","title":"ThinNotionApi.Databases.list_databases/1","type":"function"},{"doc":"Gets a list of Pages contained in the database, filtered and ordered according to the filter conditions and sort criteria provided in the request. The response may contain fewer than page_size of results. Examples: iex&gt; ThinNotionApi.Databases . query_database ( database_id ) { :ok , %{ &quot;has_more&quot; =&gt; false , &quot;next_cursor&quot; =&gt; nil , &quot;object&quot; =&gt; &quot;list&quot; , &quot;results&quot; =&gt; [ %{ &quot;archived&quot; =&gt; false , &quot;created_time&quot; =&gt; &quot;2021-06-11T20:34:00.000Z&quot; , &quot;id&quot; =&gt; &quot;0a8f7171-00b7-4f7e-a0b5-155f006186bb&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-07-16T21:04:00.000Z&quot; , &quot;object&quot; =&gt; &quot;page&quot; , &quot;parent&quot; =&gt; %{ &quot;database_id&quot; =&gt; &quot;a4ef92b2-a798-4bae-8211-4817678cd2f4&quot; , &quot;type&quot; =&gt; &quot;database_id&quot; } , &quot;properties&quot; =&gt; %{ &quot;Name&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;title&quot; =&gt; [ %{ &quot;annotations&quot; =&gt; %{ &quot;bold&quot; =&gt; false , &quot;code&quot; =&gt; false , &quot;color&quot; =&gt; &quot;default&quot; , &quot;italic&quot; =&gt; false , &quot;strikethrough&quot; =&gt; false , &quot;underline&quot; =&gt; false } , &quot;href&quot; =&gt; nil , &quot;plain_text&quot; =&gt; &quot;Hello World&quot; , &quot;text&quot; =&gt; %{ &quot;content&quot; =&gt; &quot;Hello World&quot; , &quot;link&quot; =&gt; nil } , &quot;type&quot; =&gt; &quot;text&quot; } ] , &quot;type&quot; =&gt; &quot;title&quot; } } , &quot;url&quot; =&gt; &quot;https://www.notion.so/Hello-World-0a8f717100b74f7ea0b5155f006186bb&quot; } , ... ] } } iex&gt; ThinNotionApi.Databases . query_database ( &quot;a4ef92b2a7984bae82114817678cd2f4&quot; , %{ &quot;page_size&quot; =&gt; 1 } ) { :ok , %{ &quot;has_more&quot; =&gt; true , &quot;next_cursor&quot; =&gt; &quot;700b4e34-697c-4fad-b97d-d9741d1fbaeb&quot; , &quot;object&quot; =&gt; &quot;list&quot; , &quot;results&quot; =&gt; [ %{ &quot;archived&quot; =&gt; false , &quot;created_time&quot; =&gt; &quot;2021-06-11T20:34:00.000Z&quot; , &quot;id&quot; =&gt; &quot;0a8f7171-00b7-4f7e-a0b5-155f006186bb&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-07-16T21:04:00.000Z&quot; , &quot;object&quot; =&gt; &quot;page&quot; , &quot;parent&quot; =&gt; %{ &quot;database_id&quot; =&gt; &quot;a4ef92b2-a798-4bae-8211-4817678cd2f4&quot; , &quot;type&quot; =&gt; &quot;database_id&quot; } , &quot;properties&quot; =&gt; %{ &quot;Name&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;title&quot; =&gt; [ %{ &quot;annotations&quot; =&gt; %{ &quot;bold&quot; =&gt; false , &quot;code&quot; =&gt; false , &quot;color&quot; =&gt; &quot;default&quot; , &quot;italic&quot; =&gt; false , &quot;strikethrough&quot; =&gt; false , &quot;underline&quot; =&gt; false } , &quot;href&quot; =&gt; nil , &quot;plain_text&quot; =&gt; &quot;Hello World&quot; , &quot;text&quot; =&gt; %{ &quot;content&quot; =&gt; &quot;Hello World&quot; , &quot;link&quot; =&gt; nil } , &quot;type&quot; =&gt; &quot;text&quot; } ] , &quot;type&quot; =&gt; &quot;title&quot; } } , &quot;url&quot; =&gt; &quot;https://www.notion.so/Hello-World-0a8f717100b74f7ea0b5155f006186bb&quot; } ] } }","ref":"ThinNotionApi.Databases.html#query_database/2","title":"ThinNotionApi.Databases.query_database/2","type":"function"},{"doc":"Retrieves a Database object using the ID specified. Examples iex&gt; ThinNotionApi.Databases . retrieve_database ( database_id ) { :ok , %{ &quot;created_time&quot; =&gt; &quot;2021-06-11T20:34:00.000Z&quot; , &quot;id&quot; =&gt; &quot;a4ef92b2-a798-4bae-8211-4817678cd2f4&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-07-16T20:44:00.000Z&quot; , &quot;object&quot; =&gt; &quot;database&quot; , &quot;parent&quot; =&gt; %{ &quot;page_id&quot; =&gt; &quot;9b4a624d-5a18-482a-b218-7e54166edda7&quot; , &quot;type&quot; =&gt; &quot;page_id&quot; } , &quot;properties&quot; =&gt; %{ &quot;Name&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;title&quot; =&gt; %{ } , &quot;type&quot; =&gt; &quot;title&quot; } , &quot;Tags&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;@Tnd&quot; , &quot;multi_select&quot; =&gt; %{ &quot;options&quot; =&gt; [ ] } , &quot;type&quot; =&gt; &quot;multi_select&quot; } } , &quot;title&quot; =&gt; [ %{ &quot;annotations&quot; =&gt; %{ &quot;bold&quot; =&gt; false , &quot;code&quot; =&gt; false , &quot;color&quot; =&gt; &quot;default&quot; , &quot;italic&quot; =&gt; false , &quot;strikethrough&quot; =&gt; false , &quot;underline&quot; =&gt; false } , &quot;href&quot; =&gt; nil , &quot;plain_text&quot; =&gt; &quot;Test Database&quot; , &quot;text&quot; =&gt; %{ &quot;content&quot; =&gt; &quot;Test Database&quot; , &quot;link&quot; =&gt; nil } , &quot;type&quot; =&gt; &quot;text&quot; } ] } }","ref":"ThinNotionApi.Databases.html#retrieve_database/1","title":"ThinNotionApi.Databases.retrieve_database/1","type":"function"},{"doc":"Module for interacting with the Notion pages.","ref":"ThinNotionApi.Pages.html","title":"ThinNotionApi.Pages","type":"module"},{"doc":"Create a page with a page or database as its parent type. Examples: iex&gt; ThinNotionApi.Pages . create_page ( :page , &quot;9b4a624d5a18482ab2187e54166edda7&quot; ) { :ok , %{ &quot;archived&quot; =&gt; false , &quot;created_time&quot; =&gt; &quot;2021-08-20T20:16:00.000Z&quot; , &quot;id&quot; =&gt; &quot;7418966f-ca3c-4f44-bf58-7e5f56f4fcd2&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-08-20T20:16:00.000Z&quot; , &quot;object&quot; =&gt; &quot;page&quot; , &quot;parent&quot; =&gt; %{ &quot;page_id&quot; =&gt; &quot;9b4a624d-5a18-482a-b218-7e54166edda7&quot; , &quot;type&quot; =&gt; &quot;page_id&quot; } , &quot;properties&quot; =&gt; %{ &quot;title&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;title&quot; =&gt; [ ] , &quot;type&quot; =&gt; &quot;title&quot; } } , &quot;url&quot; =&gt; &quot;https://www.notion.so/7418966fca3c4f44bf587e5f56f4fcd2&quot; } } iex&gt; ThinNotionApi.Pages . create_page ( :database , &quot;ee90be7f3fd14fd5961ef4203c7d9a81&quot; , %{ &quot;title&quot; : %{ &quot;title&quot; : [ %{ &quot;type&quot; : &quot;text&quot; , &quot;text&quot; : %{ &quot;content&quot; : &quot;Create Page Database&quot; } } ] } } ) { :ok , %{ &quot;archived&quot; =&gt; false , &quot;created_time&quot; =&gt; &quot;2021-08-13T21:50:00.000Z&quot; , &quot;id&quot; =&gt; &quot;f96939de-e0a4-4175-a3ae-da8ee7512432&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-08-13T21:50:00.000Z&quot; , &quot;object&quot; =&gt; &quot;page&quot; , &quot;parent&quot; =&gt; %{ &quot;database_id&quot; =&gt; &quot;ee90be7f-3fd1-4fd5-961e-f4203c7d9a81&quot; , &quot;type&quot; =&gt; &quot;database_id&quot; } , &quot;properties&quot; =&gt; %{ &quot;Name&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;title&quot; =&gt; [ %{ &quot;annotations&quot; =&gt; %{ &quot;bold&quot; =&gt; false , &quot;code&quot; =&gt; false , &quot;color&quot; =&gt; &quot;default&quot; , &quot;italic&quot; =&gt; false , &quot;strikethrough&quot; =&gt; false , &quot;underline&quot; =&gt; false } , &quot;href&quot; =&gt; nil , &quot;plain_text&quot; =&gt; &quot;Create Page Database&quot; , &quot;text&quot; =&gt; %{ &quot;content&quot; =&gt; &quot;Create Page Database&quot; , &quot;link&quot; =&gt; nil } , &quot;type&quot; =&gt; &quot;text&quot; } ] , &quot;type&quot; =&gt; &quot;title&quot; } } , &quot;url&quot; =&gt; &quot;https://www.notion.so/Create-Page-Database-f96939dee0a44175a3aeda8ee7512432&quot; } }","ref":"ThinNotionApi.Pages.html#create_page/4","title":"ThinNotionApi.Pages.create_page/4","type":"function"},{"doc":"Retrieves a Page object using the ID specified. Responses contains page properties, not page content. To fetch page content, use the retrieve block children endpoint. Examples: iex&gt; ThinNotionApi.Pages . retrieve_page ( &quot;9b4a624d5a18482ab2187e54166edda7&quot; ) { :ok , %{ &quot;archived&quot; =&gt; false , &quot;created_time&quot; =&gt; &quot;2021-06-11T20:34:00.000Z&quot; , &quot;id&quot; =&gt; &quot;9b4a624d-5a18-482a-b218-7e54166edda7&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-07-30T21:03:00.000Z&quot; , &quot;object&quot; =&gt; &quot;page&quot; , &quot;parent&quot; =&gt; %{ &quot;type&quot; =&gt; &quot;workspace&quot; , &quot;workspace&quot; =&gt; true } , &quot;properties&quot; =&gt; %{ &quot;title&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;title&quot; =&gt; [ %{ &quot;annotations&quot; =&gt; %{ &quot;bold&quot; =&gt; false , &quot;code&quot; =&gt; false , &quot;color&quot; =&gt; &quot;default&quot; , &quot;italic&quot; =&gt; false , &quot;strikethrough&quot; =&gt; false , &quot;underline&quot; =&gt; false } , &quot;href&quot; =&gt; nil , &quot;plain_text&quot; =&gt; &quot;Thin Notion Test Workspace&quot; , &quot;text&quot; =&gt; %{ &quot;content&quot; =&gt; &quot;Thin Notion Test Workspace&quot; , &quot;link&quot; =&gt; nil } , &quot;type&quot; =&gt; &quot;text&quot; } ] , &quot;type&quot; =&gt; &quot;title&quot; } } , &quot;url&quot; =&gt; &quot;https://www.notion.so/Thin-Notion-Test-Workspace-9b4a624d5a18482ab2187e54166edda7&quot; } }","ref":"ThinNotionApi.Pages.html#retrieve_page/1","title":"ThinNotionApi.Pages.retrieve_page/1","type":"function"},{"doc":"Update a pages properties or archive (delete) it. Properties that are not set via the properties parameter will remain unchanged. If the parent is a database, the new property values in the properties parameter must conform to the parent database's property schema. This endpoint is for updating page properties, not page content. To fetch page content, use the retrieve block children endpoint. To append page content, use the append block children endpoint. Examples: iex&gt; ThinNotionApi.Pages . update_page ( &quot;c8445875c2cc424eb9eacba94cac667d&quot; , properties , false ) { :ok , %{ &quot;archived&quot; =&gt; false , &quot;created_time&quot; =&gt; &quot;2021-08-20T20:26:00.000Z&quot; , &quot;id&quot; =&gt; &quot;c8445875-c2cc-424e-b9ea-cba94cac667d&quot; , &quot;last_edited_time&quot; =&gt; &quot;2021-08-20T21:07:00.000Z&quot; , &quot;object&quot; =&gt; &quot;page&quot; , &quot;parent&quot; =&gt; %{ &quot;page_id&quot; =&gt; &quot;9b4a624d-5a18-482a-b218-7e54166edda7&quot; , &quot;type&quot; =&gt; &quot;page_id&quot; } , &quot;properties&quot; =&gt; %{ &quot;title&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;title&quot; , &quot;title&quot; =&gt; [ %{ &quot;annotations&quot; =&gt; %{ &quot;bold&quot; =&gt; false , &quot;code&quot; =&gt; false , &quot;color&quot; =&gt; &quot;default&quot; , &quot;italic&quot; =&gt; false , &quot;strikethrough&quot; =&gt; false , &quot;underline&quot; =&gt; false } , &quot;href&quot; =&gt; nil , &quot;plain_text&quot; =&gt; &quot;Test: Used for updating page test&quot; , &quot;text&quot; =&gt; %{ &quot;content&quot; =&gt; &quot;Test: Used for updating page test&quot; , &quot;link&quot; =&gt; nil } , &quot;type&quot; =&gt; &quot;text&quot; } ] , &quot;type&quot; =&gt; &quot;title&quot; } } , &quot;url&quot; =&gt; &quot;https://www.notion.so/Test-Used-for-updating-page-test-c8445875c2cc424eb9eacba94cac667d&quot; } }","ref":"ThinNotionApi.Pages.html#update_page/3","title":"ThinNotionApi.Pages.update_page/3","type":"function"},{"doc":"ThinNotionApi","ref":"readme.html","title":"ThinNotionApi","type":"extras"},{"doc":"ThinNotionApi is an Elixir package to easily communicate with the Notion API. The main objective to provide a simple straight forward way for a person to fetch or update information without a large or complex interface.","ref":"readme.html#this-package-is-still-under-heavy-development-and-things-can-change-at-any-time","title":"ThinNotionApi - This package is still under heavy development and things can change at any time.","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding thin_notion_api to your list of dependencies in mix.exs : def deps do [ { :thin_notion_api , &quot;~&gt; 0.0.1&quot; } ] end Next log in to the Notion Developers site. Visit My Integrations and create New Integration . After creating your integration, you should now have a Internal Integration Token you will use for all your Notion API requests. Make sure to keep this secret private and never leak it because at the moment you cannot regenerate a new one if compromised. Add your integration token and which Version of the Notion API you are using (if not provided, it will default to 2021-08-16 ) to config/config.exs: config :thin_notion_api , :api_key , System . get_env ( &quot;NOTION_API_KEY&quot; ) config :thin_notion_api , :notion_version , System . get_env ( &quot;NOTION_VERSION&quot; ) You are good to go.","ref":"readme.html#installation","title":"ThinNotionApi - Installation","type":"extras"},{"doc":"Retrieve information about a Notion database iex&gt; ThinNotionApi.Databases . retrieve_database ( database_id ) { :ok , %{ ... } } Retrieves a Page object using the ID specified. Responses contains page properties, not page content. To fetch page content, use the retrieve block children endpoint. iex&gt; ThinNotionApi.Pages . retrieve_page ( page_id ) { :ok , %{ ... } } Find all modules and functions you can use in the API Reference section . Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/thin_notion_api .","ref":"readme.html#usage","title":"ThinNotionApi - Usage","type":"extras"},{"doc":"TODO: [x] Need to start adding tests [x] List database query param support [x] Query database with options [x] Support all Page object actions [ ] Support all Block actions [ ] Support all User actions [ ] Support Search","ref":"readme.html#development-progress","title":"ThinNotionApi - Development Progress","type":"extras"}]